Summary: Browser default start page for Scientific Linux
Name: sl-indexhtml
Version: 7
Release: 3.1.sl7
Source: %{name}-%{version}.tar.gz
Source1: sl-firefox-branding.js
License: Distributable
Group: Documentation
BuildArch: noarch
Obsoletes: indexhtml <= 2:5-1
Provides: redhat-indexhtml

%description
The indexhtml package contains the welcome page shown by your Web browser,
which you'll see after you've successfully installed Scientific Linux.

%prep
%setup -q 

%build

%install
%{__rm} -rf %{buildroot}

# Setup the html for the default welcome page
%{__mkdir_p} %{buildroot}/%{_defaultdocdir}/HTML
%{__cp} -par HTML/* %{buildroot}/%{_defaultdocdir}/HTML/

# Setup de-brand prefs
%{__install} -D %{SOURCE1} %{buildroot}/%{_prefix}/lib/firefox/defaults/preferences/firefox-branding.js
%{__mkdir_p} %{buildroot}/%{_prefix}/lib64/firefox/defaults/preferences/
ln %{buildroot}/%{_prefix}/lib/firefox/defaults/preferences/firefox-branding.js %{buildroot}/%{_prefix}/lib64/firefox/defaults/preferences/

# Sometimes, firefox takes the first result
# Sometimes, firefox takes the last result.
ln %{buildroot}/%{_prefix}/lib/firefox/defaults/preferences/firefox-branding.js %{buildroot}/%{_prefix}/lib/firefox/defaults/preferences/aaa-firefox-branding.js
ln %{buildroot}/%{_prefix}/lib64/firefox/defaults/preferences/firefox-branding.js %{buildroot}/%{_prefix}/lib64/firefox/defaults/preferences/aaa-firefox-branding.js


%files
%defattr(644, root, root, 755)
%{_defaultdocdir}/HTML/*
%{_prefix}/lib/firefox/defaults/preferences/aaa-firefox-branding.js
%{_prefix}/lib/firefox/defaults/preferences/firefox-branding.js
%{_prefix}/lib64/firefox/defaults/preferences/aaa-firefox-branding.js
%{_prefix}/lib64/firefox/defaults/preferences/firefox-branding.js

%changelog
* Mon May 18 2015 Pat Riehecky <riehecky@fnal.gov> 7-3.1.sl7
- Updated for Firefox38 branding changes

* Mon Feb 23 2015 Pat Riehecky <riehecky@fnal.gov> 7-3
- Fix minor branding issue in xulrunner default prefs

* Wed Oct 1 2014 Pat Riehecky <riehecky@fnal.gov> 7-2
- Updated for new website paths

* Tue May 13 2014 Pat Riehecky <riehecky@fnal.gov> 7-1
- Updated with artwork from Fixation

* Tue May 6 2014 Pat Riehecky <riehecky@fnal.gov> 7-0
- initial build from SL6 package
